commit 61e811924bb5d35f9c101a51283f461e097eaf35
Author: Yuki Sonoda (Yugui) <yugui@yugui.jp>
Date:   Sun Mar 6 21:03:17 2011 +0900

    fixes the problem that ASCII control character causes
    concatenation of a String and nil if Accept-Language: ja.

diff --git a/vendor/plugins/rfpdf/lib/rfpdf/japanese.rb b/vendor/plugins/rfpdf/lib/rfpdf/japanese.rb
index 4e611a6..f876148 100644
--- a/vendor/plugins/rfpdf/lib/rfpdf/japanese.rb
+++ b/vendor/plugins/rfpdf/lib/rfpdf/japanese.rb
@@ -36,7 +36,7 @@
 # module.
 
 module PDF_Japanese
-
+  CONTROL_CHARACTERS = (0x00...0x20).inject({}){|map, c| map[c.chr] = 278; map }.freeze
   SJIS_widths={' ' => 278, '!' => 299, '"' => 353, '#' => 614, '$' => 614, '%' => 721, '&' => 735, '\'' => 216, 
   	'(' => 323, ')' => 323, '*' => 449, '+' => 529, ',' => 219, '-' => 306, '.' => 219, '/' => 453, '0' => 614, '1' => 614, 
   	'2' => 614, '3' => 614, '4' => 614, '5' => 614, '6' => 614, '7' => 614, '8' => 614, '9' => 614, ':' => 219, ';' => 219, 
@@ -46,7 +46,7 @@ module PDF_Japanese
   	'Z' => 578, '[' => 316, '\\' => 614, ']' => 316, '^' => 529, '_' => 500, '`' => 387, 'a' => 509, 'b' => 566, 'c' => 478, 
   	'd' => 565, 'e' => 503, 'f' => 337, 'g' => 549, 'h' => 580, 'i' => 275, 'j' => 266, 'k' => 544, 'l' => 276, 'm' => 854, 
   	'n' => 579, 'o' => 550, 'p' => 578, 'q' => 566, 'r' => 410, 's' => 444, 't' => 340, 'u' => 575, 'v' => 512, 'w' => 760, 
-  	'x' => 503, 'y' => 529, 'z' => 453, '{' => 326, '|' => 380, '}' => 326, '~' => 387}
+  	'x' => 503, 'y' => 529, 'z' => 453, '{' => 326, '|' => 380, '}' => 326, '~' => 387}.merge(CONTROL_CHARACTERS).freeze
 
   def AddCIDFont(family,style,name,cw,cMap,registry)  	
     fontkey=family.downcase+style.upcase
